cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RPA_I08_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RPA_I08_Common

- Direct Known Subclasses:
    RPA_I08, RPA_I09, RPA_I10, RPA_I11

      public abstract class RPA_I08_Common
      extends Message

  RPA_I08 - Response Patient Authorization Message (Event I08). This message is use to request for treatment authorization. Although this message also related to the payor, it differs greatly from that of an insurance information request.

  Represents a RPA_I08 message structure (see chapter 11.4.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  4: RF1 (Referral Information Segment) SINGLE_OPTIONAL
  5: AUTHORIZATION_1 (a Group in RPA_I08 message) SINGLE_OPTIONAL
  6: PROVIDER (a Group in RPA_I08 message) MULTIPLE_COMPULSARY
  7: PID (Patient Identification Segment) SINGLE_COMPULSARY
  8: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  9: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  10: INSURANCE (a Group in RPA_I08 message) MULTIPLE_OPTIONAL
  11: ACC (Accident Segment) SINGLE_OPTIONAL
  12: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  13: DRG (Diagnosis Related Group Segment) MULTIPLE_OPTIONAL
  14: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  15: PROCEDURE (a Group in RPA_I08 message) MULTIPLE_COMPULSARY
  16: OBSERVATION (a Group in RPA_I08 message) MULTIPLE_OPTIONAL
  17: VISIT (a Group in RPA_I08 message) SINGLE_OPTIONAL
  18: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllergyInformationSegment(AL1 objAL1)` Adds Allergy Information(AL1) to this message.
    `void` | `addAllergyInformationSegments(ISingleCollection<AL1> objAL1SegmentCollection)` Adds collection of Allergy Information(AL1) to this message.
    `void` | `addDiagnosisRelatedGroupSegment(DRG objDRG)` Adds Diagnosis Related Group Segment( DRG) to this message.
    `void` | `addDiagnosisRelatedGroupSegments(ISingleCollection<DRG> objDRGSegmentCollection)` Adds collection of Diagnosis Related Group Segment(DRG) to this message.
    `void` | `addDiagnosisSegment(DG1 objDG1)` Adds Diagnosis(DG1) to this message.
    `void` | `addDiagnosisSegments(ISingleCollection<DG1> objDG1SegmentCollection)` Adds collection of Diagnosis(DG1) to this message.
    `void` | `addGuarantorSegment(GT1 objGT1)` Adds Guarantor (global across all FT1s)(GT1 ) to this message.
    `void` | `addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)` Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
    `void` | `addInsuranceGroup(IGroup objGroup)` Adds Insurance GROUP to this message.
    `void` | `addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Insurance GROUP to this message.
    `void` | `addNextOfKinSegment(NK1 objNK1)` Adds Next of Kin/Associated Parties(NK1) to this message.
    `void` | `addNextOfKinSegments(ISingleCollection<NK1> objSegments)` Adds collection of Next of Kin/Associated Parties(NK1) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addObservationGroup(IGroup objGroup)` Adds Observation GROUP to this message.
    `void` | `addObservationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of OBSERVATION GROUP to this message.
    `void` | `addProcedureGroup(IGroup objGroup)` Adds Procedure GROUP to this message.
    `void` | `addProcedureGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PROCEDURE GROUP to this message.
    `void` | `addProviderGroup(IGroup objGroup)` Adds Provider GROUP to this message.
    `void` | `addProviderGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PROVIDER GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ACC` | `getAccidentInformationSegment()` Retrieves Accident Information(ACC) segment present in this message
    `ISingleCollection<AL1>` | `getAllergyInformationSegments()` Retrieves Collection of Allergy Information(AL1) present in this message.
    `IGroup` | `getAuthorizationGroup()` Retrieves Authorization Group present in this message.
    `ISingleCollection<DRG>` | `getDiagnosisRelatedGroupSegments()` Retrieves Collection of Diagnosis Related Group Segment(DRG) present in this message.
    `ISingleCollection<DG1>` | `getDiagnosisSegments()` Retrieves Collection of Diagnosis(DG1) present in this message.
    `ISingleCollection<GT1>` | `getGuarantorSegments()` Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
    `ISingleCollection<IGroup>` | `getInsuranceGroups()` Retrieves Collection of Insurance GROUP present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `ISingleCollection<NK1>` | `getNextOfKinSegments()` Retrieves Collection of Next of Kin/Associated Parties(NK1) present in this message.
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `ISingleCollection<IGroup>` | `getObservationGroups()` Retrieves Collection of OBSERVATION GROUP present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<IGroup>` | `getProcedureGroups()` Retrieves Collection of PROCEDURE GROUP present in this message.
    `ISingleCollection<IGroup>` | `getProviderGroups()` Retrieves Collection of PROVIDER GROUP present in this message.
    `RF1` | `getReferralInformationSegment()` Retrieves Referral Information(RF1) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `IGroup` | `getVisitGroup()` Retrieves Visit Group present in this message.
    `void` | `setAccidentInformationSegment(ACC objACC)` Sets value of Accident Information segment for this message,overwrites if already present.
    `void` | `setAuthorizationGroup(IGroup objGroup)` Sets value of Authorization Group for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setReferralInformationSegment(RF1 objRF1)` Sets value of Referral Information segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.
    `void` | `setVisitGroup(IGroup objGroup)` Sets value of Visit Group for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getReferralInformationSegment

          public RF1 getReferralInformationSegment()

      Retrieves Referral Information(RF1) segment present in this message
      Returns:
        RFI - the Referral Information Segment present in this message or null if unavailable.

    - #### setReferralInformationSegment

          public void setReferralInformationSegment(RF1 objRF1)

      Sets value of Referral Information segment for this message,overwrites if already present.
      Parameters:
        `objRF1` - Specified Referral Information Segment

    - #### getAuthorizationGroup

          public IGroup getAuthorizationGroup()

      Retrieves Authorization Group present in this message.
      Returns:
        Group - Authorization Group present in this message.

    - #### setAuthorizationGroup

          public void setAuthorizationGroup(IGroup objGroup)

      Sets value of Authorization Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Authorization Group

    - #### getProviderGroups

          public ISingleCollection<IGroup> getProviderGroups()

      Retrieves Collection of PROVIDER GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PROVIDER Group present

    - #### addProviderGroups

          public void addProviderGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PROVIDER GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PROVIDER GROUP Collection.

    - #### addProviderGroup

          public void addProviderGroup(IGroup objGroup)

      Adds Provider GROUP to this message.
      Parameters:
        `objGroup` - Specified Provider GROUP.

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### addNextOfKinSegment

          public void addNextOfKinSegment(NK1 objNK1)

      Adds Next of Kin/Associated Parties(NK1) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin/Associated Parties(NK1)

    - #### addNextOfKinSegments

          public void addNextOfKinSegments(ISingleCollection<NK1> objSegments)

      Adds collection of Next of Kin/Associated Parties(NK1) to this message.
      Parameters:
        `objSegments` - Collection of Next of Kin/Associated Parties(NK1)

    - #### getNextOfKinSegments

          public ISingleCollection<NK1> getNextOfKinSegments()

      Retrieves Collection of Next of Kin/Associated Parties(NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin/Associated Parties(NK1)

    - #### addGuarantorSegment

          public void addGuarantorSegment(GT1 objGT1)

      Adds Guarantor (global across all FT1s)(GT1 ) to this message.
      Parameters:
        `objGT1` - Specified Guarantor(GT1) Segment.

    - #### addGuarantorSegments

          public void addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)

      Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
      Parameters:
        `objGT1SegmentCollection` - Collection of Diagnosis(GT1)

    - #### getGuarantorSegments

          public ISingleCollection<GT1> getGuarantorSegments()

      Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis(GT1)

    - #### getInsuranceGroups

          public ISingleCollection<IGroup> getInsuranceGroups()

      Retrieves Collection of Insurance GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Insurance Group present

    - #### addInsuranceGroups

          public void addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Insurance GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Insurance GROUP Collection.

    - #### addInsuranceGroup

          public void addInsuranceGroup(IGroup objGroup)

      Adds Insurance GROUP to this message.
      Parameters:
        `objGroup` - Specified Insurance GROUP.

    - #### getAccidentInformationSegment

          public ACC getAccidentInformationSegment()

      Retrieves Accident Information(ACC) segment present in this message
      Returns:
        ACC - the Accident Information Segment present in this message or null if unavailable.

    - #### setAccidentInformationSegment

          public void setAccidentInformationSegment(ACC objACC)

      Sets value of Accident Information segment for this message,overwrites if already present.
      Parameters:
        `objACC` - Specified Accident Information Segment

    - #### addDiagnosisSegment

          public void addDiagnosisSegment(DG1 objDG1)

      Adds Diagnosis(DG1) to this message.
      Parameters:
        `objDG1` - Specified Diagnosis(DG1) Segment.

    - #### addDiagnosisSegments

          public void addDiagnosisSegments(ISingleCollection<DG1> objDG1SegmentCollection)

      Adds collection of Diagnosis(DG1) to this message.
      Parameters:
        `objDG1SegmentCollection` - Collection of Diagnosis(DG1)

    - #### getDiagnosisSegments

          public ISingleCollection<DG1> getDiagnosisSegments()

      Retrieves Collection of Diagnosis(DG1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis(DG1)

    - #### addDiagnosisRelatedGroupSegment

          public void addDiagnosisRelatedGroupSegment(DRG objDRG)

      Adds Diagnosis Related Group Segment( DRG) to this message.
      Parameters:
        `objDRG` - Specified Diagnosis Related Group Segment(DRG)

    - #### addDiagnosisRelatedGroupSegments

          public void addDiagnosisRelatedGroupSegments(ISingleCollection<DRG> objDRGSegmentCollection)

      Adds collection of Diagnosis Related Group Segment(DRG) to this message.
      Parameters:
        `objDRGSegmentCollection` - Collection of Diagnosis Related Group Segment(DRG)

    - #### getDiagnosisRelatedGroupSegments

          public ISingleCollection<DRG> getDiagnosisRelatedGroupSegments()

      Retrieves Collection of Diagnosis Related Group Segment(DRG) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis Related Group Segment(DRG)

    - #### addAllergyInformationSegment

          public void addAllergyInformationSegment(AL1 objAL1)

      Adds Allergy Information(AL1) to this message.
      Parameters:
        `objAL1` - Specified Allergy Information(AL1)

    - #### addAllergyInformationSegments

          public void addAllergyInformationSegments(ISingleCollection<AL1> objAL1SegmentCollection)

      Adds collection of Allergy Information(AL1) to this message.
      Parameters:
        `objAL1SegmentCollection` - Collection of Allergy Information(AL1)

    - #### getAllergyInformationSegments

          public ISingleCollection<AL1> getAllergyInformationSegments()

      Retrieves Collection of Allergy Information(AL1) present in this message.
      Returns:
        ISingleCollection - Collection of Allergy Information(AL1)

    - #### getProcedureGroups

          public ISingleCollection<IGroup> getProcedureGroups()

      Retrieves Collection of PROCEDURE GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PROCEDURE Group present

    - #### addProcedureGroups

          public void addProcedureGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PROCEDURE GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PROCEDURE GROUP Collection.

    - #### addProcedureGroup

          public void addProcedureGroup(IGroup objGroup)

      Adds Procedure GROUP to this message.
      Parameters:
        `objGroup` - Specified Procedure GROUP.

    - #### getObservationGroups

          public ISingleCollection<IGroup> getObservationGroups()

      Retrieves Collection of OBSERVATION GROUP present in this message.
      Returns:
        ISingleCollection - Collection of OBSERVATION Group present

    - #### addObservationGroups

          public void addObservationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of OBSERVATION GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified OBSERVATION GROUP Collection.

    - #### addObservationGroup

          public void addObservationGroup(IGroup objGroup)

      Adds Observation GROUP to this message.
      Parameters:
        `objGroup` - Specified Observation GROUP.

    - #### getVisitGroup

          public IGroup getVisitGroup()

      Retrieves Visit Group present in this message.
      Returns:
        Group - Visit Group present in this message.

    - #### setVisitGroup

          public void setVisitGroup(IGroup objGroup)

      Sets value of Visit Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Visit Group

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to this message.

    - #### addNotesAndCommentsSegments

          public void addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message